Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQToolTipGroup Class Reference

The TQToolTipGroup class collects tool tips into related groups. More...

`#include <ntqtooltip.h>`

Inherits TQObject.

List of all member functions.

## Public Members

- TQToolTipGroup ( TQObject * parent, const char * name = 0 )
- ~TQToolTipGroup ()
- bool delay () const
- bool enabled () const

## Public Slots

- void setDelay ( bool )
- void setEnabled ( bool )

## Signals

- void showTip ( const TQString & longText )
- void removeTip ()

## Properties

- bool delay - whether the display of the group text is delayed
- bool enabled - whether tool tips in the group are enabled

## Detailed Description

The TQToolTipGroup class collects tool tips into related groups.

Tool tips can display two texts: one in the tip and (optionally) one that is typically in a status bar. TQToolTipGroup provides a way to link tool tips to this status bar.

TQToolTipGroup has practically no API; it is only used as an argument to TQToolTip's member functions, for example like this:

            TQToolTipGroup * grp = new TQToolTipGroup( this, "tool tip relay" );
            connect( grp, SIGNAL(showTip(const TQString&)),
                     myLabel, SLOT(setText(const TQString&)) );
            connect( grp, SIGNAL(removeTip()),
                     myLabel, SLOT(clear()) );
            TQToolTip::add( giraffeButton, "feed giraffe",
                           grp, "Give the giraffe a meal" );
            TQToolTip::add( gorillaButton, "feed gorilla",
                           grp, "Give the gorilla a meal" );

This example makes the object myLabel (which you must supply) display (one assumes, though you can make myLabel do anything, of course) the strings "Give the giraffe a meal" and "Give the gorilla a meal" while the relevant tool tips are being displayed.

Deleting a tool tip group removes the tool tips in it.

See also Help System.

## Member Function Documentation

### TQToolTipGroup::TQToolTipGroup ( TQObject * parent, const char * name = 0 )

Constructs a tool tip group called name, with parent parent.

### TQToolTipGroup::~TQToolTipGroup ()

Destroys this tool tip group and all tool tips in it.

### bool TQToolTipGroup::delay () const

Returns TRUE if the display of the group text is delayed; otherwise returns FALSE. See the "delay" property for details.

### bool TQToolTipGroup::enabled () const

Returns TRUE if tool tips in the group are enabled; otherwise returns FALSE. See the "enabled" property for details.

### void TQToolTipGroup::removeTip ()`[signal]`

This signal is emitted when a tool tip in this group is hidden. See the TQToolTipGroup documentation for an example of use.

See also showTip().

Example: helpsystem/mainwindow.cpp.

### void TQToolTipGroup::setDelay ( bool )`[slot]`

Sets whether the display of the group text is delayed. See the "delay" property for details.

### void TQToolTipGroup::setEnabled ( bool )`[slot]`

Sets whether tool tips in the group are enabled. See the "enabled" property for details.

### void TQToolTipGroup::showTip ( const TQString & longText )`[signal]`

This signal is emitted when one of the tool tips in the group is displayed. longText is the extra text for the displayed tool tip.

See also removeTip().

Example: helpsystem/mainwindow.cpp.

## Property Documentation

### bool delay

This property holds whether the display of the group text is delayed.

If set to TRUE (the default), the group text is displayed at the same time as the tool tip. Otherwise, the group text is displayed immediately when the cursor enters the widget.

Set this property's value with setDelay() and get this property's value with delay().

### bool enabled

This property holds whether tool tips in the group are enabled.

This property's default is TRUE.

Set this property's value with setEnabled() and get this property's value with enabled().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.